summaryrefslogtreecommitdiffstats
path: root/coin
diff options
context:
space:
mode:
authorDimitrios Apostolou <jimis@qt.io>2020-02-06 19:45:36 +0100
committerDimitrios Apostolou <jimis@qt.io>2020-02-15 07:38:35 +0100
commitc0033df4b98eee349fcd7b92f35cb6ee4ca18927 (patch)
tree187037f23d3b9a4f97d2a5b72cbe75f2bd04027d /coin
parent7b4b2f86a03a176fa5fe0ca1059dc4935c1e665f (diff)
Execute a specific version of homebrew install script
Also first try to download it from local mirror. This install script appears to be doing a lot of git-cloning and downloading itself though, so it is still far from the ideal solution: to only download from locally cached endpoints. Task-number: QTQAINFRA-3134 Change-Id: I32131045d6e62f302ec666b4ac055ca5ee9662d5 Reviewed-by: Heikki Halmet <heikki.halmet@qt.io>
Diffstat (limited to 'coin')
-rwxr-xr-xcoin/provisioning/common/macos/homebrew.sh17
-rwxr-xr-xcoin/provisioning/qtci-macos-10.13-x86_64/25-homebrew.sh2
-rwxr-xr-xcoin/provisioning/qtci-macos-10.14-x86_64/25-homebrew.sh2
3 files changed, 15 insertions, 6 deletions
diff --git a/coin/provisioning/common/macos/homebrew.sh b/coin/provisioning/common/macos/homebrew.sh
index 715477c0..66463c44 100755
--- a/coin/provisioning/common/macos/homebrew.sh
+++ b/coin/provisioning/common/macos/homebrew.sh
@@ -1,12 +1,21 @@
-#!/usr/bin/env bash
+#!/bin/sh
# Will install homebrew package manager for macOS.
# WARNING: Requires commandlinetools
-# TODO audit and cache this file locally, see QTQAINFRA-3134
-curl -L -o /tmp/homebrew_install https://raw.githubusercontent.com/Homebrew/install/master/install
+set -e
+
+. "$(dirname "$0")"/../../common/unix/DownloadURL.sh
+
+
+DownloadURL \
+ http://ci-files01-hki.intra.qt.io/input/mac/homebrew-install.c744a716f9845988d01e6e238eee7117b8c366c9.rb \
+ https://raw.githubusercontent.com/Homebrew/install/c744a716f9845988d01e6e238eee7117b8c366c9/install \
+ b9782cc0b550229de77b429b56ffce04157e60486ab9df00461ccf3dad565b0a \
+ /tmp/homebrew_install
/usr/bin/ruby /tmp/homebrew_install </dev/null
-brew update
+# No need to manually do `brew update`, the homebrew installer script does it.
+### brew update
diff --git a/coin/provisioning/qtci-macos-10.13-x86_64/25-homebrew.sh b/coin/provisioning/qtci-macos-10.13-x86_64/25-homebrew.sh
index 06e984ec..f7f9e214 100755
--- a/coin/provisioning/qtci-macos-10.13-x86_64/25-homebrew.sh
+++ b/coin/provisioning/qtci-macos-10.13-x86_64/25-homebrew.sh
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-set -ex
+set -e
BASEDIR=$(dirname "$0")
"$BASEDIR/../common/macos/homebrew.sh"
diff --git a/coin/provisioning/qtci-macos-10.14-x86_64/25-homebrew.sh b/coin/provisioning/qtci-macos-10.14-x86_64/25-homebrew.sh
index 06e984ec..f7f9e214 100755
--- a/coin/provisioning/qtci-macos-10.14-x86_64/25-homebrew.sh
+++ b/coin/provisioning/qtci-macos-10.14-x86_64/25-homebrew.sh
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-set -ex
+set -e
BASEDIR=$(dirname "$0")
"$BASEDIR/../common/macos/homebrew.sh"